clang-tools 8.0.0

Public Member Functions | Public Attributes | Friends | List of all members
clang::move::DeclarationReporter::Declaration Struct Reference

`#include <ClangMove.h>`

Collaboration diagram for clang::move::DeclarationReporter::Declaration:
[legend]

## Public Member Functions
| Declaration (llvm::StringRef QName, llvm::StringRef Kind, bool Templated)

## Public Attributes
std::string | QualifiedName
std::string | Kind
bool | Templated = false

## Friends
bool | operator== (const Declaration &LHS, const Declaration &RHS)

## Detailed Description

Definition at line 40 of file ClangMove.h.

## Constructor & Destructor Documentation

## ◆ Declaration()

clang::move::DeclarationReporter::Declaration::Declaration | ( | llvm::StringRef | QName,
|  | llvm::StringRef | Kind,
|  | bool | Templated
| ) |  |
| inline

Definition at line 41 of file ClangMove.h.

## Friends And Related Function Documentation

## ◆ operator==

bool operator== | ( | const Declaration & | LHS,
|  | const Declaration & | RHS
| ) |  |
| friend

Definition at line 44 of file ClangMove.h.

## Member Data Documentation

## ◆ Kind

std::string clang::move::DeclarationReporter::Declaration::Kind

Definition at line 49 of file ClangMove.h.

## ◆ QualifiedName

std::string clang::move::DeclarationReporter::Declaration::QualifiedName

Definition at line 48 of file ClangMove.h.

## ◆ Templated

bool clang::move::DeclarationReporter::Declaration::Templated = false

Definition at line 50 of file ClangMove.h.

The documentation for this struct was generated from the following file:

- ClangMove.h